<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{menu_setting}">
<head>
    <meta charset="UTF-8">
    <title>Nama Kelas</title>
</head>
<body>
<div layout:fragment="setting" class="box-body no-padding">
    <div class="box box-primary">
        <form method="get">
            <div class="box-header with-border">
                <div class="row">
                    <div class="col-md-6" align="left">
                        <h3 class="box-title">Nama Kelas List</h3>
                    </div>
                    <div class="col-md-6" align="right">
                        <a th:href="@{/setting/ploting_kelas/new}" name="tambah" type="button" id="addKelas"
                           class="btn btn-info" th:classappend="${(param.jenisKelamin != null) && (param.angkatan != null) ? null : 'disabled'}"> + Add Kelas</a>
                    </div>
                </div>
            </div>

            <div class="box-header with-border">
                <form action="get">
                    <div class="row">
                        <div class="col-md-3">
                            <div class="col-md-12">
                                <select class="form-control select2" name="angkatan" id="angkatan" style="width: 100%;">
                                    <option value="">Pilih Angkatan</option>
                                    <option th:each="data : ${angkatan}"
                                            th:selected="(${data} == *{selectedAngkatan})"
                                            th:text="${data.getAngkatan()}"
                                            th:value="${data.getAngkatan()}">Angkatan
                                    </option>
                                </select>
                            </div>
                        </div>

                        <div class="col-md-3">
                            <div class="col-md-12">
                                <select class="form-control select2" name="jenisKelamin" id="jenisKelamin"
                                        style="width: 100%;">
                                    <option value="">Pilih Jenis Kelamin</option>
                                    <option th:each="data : ${jenisKelamin}"
                                            th:selected="(${data} == *{selectedJenisKelamin})"
                                            th:text="${data.getJenisKelamin()}"
                                            th:value="${data.getJenisKelamin()}">sdasd
                                    </option>
                                </select>
                            </div>
                        </div>

                        <div class="col-md-3" align="right">
                            <div class="input-group input-group-sm" style="width: 150px;">
                                <button type="submit" class="btn btn-primary">Proses</button>
                            </div>
                        </div>


                        <div class="col-md-3" align="right">
                            <div class="input-group input-group-sm" style="width: 150px;">
                                <input type="text" name="search" class="form-control pull-right" placeholder="Search">
                                <div class="input-group-btn">
                                    <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </form>

        <div class="callout callout-success" th:if="${selectedAngkatan != null}">
            <p th:text="${'List Angkatan ' + selectedAngkatan + ' - '+ selectedJenisKelamin}">Data Berhasil
                Disimpan.</p>
        </div>

        <div class="box-body table-responsive no-padding">
            <table class="table table-bordered">
                <tr>
                    <th style="width: 10px">No</th>
                    <th>Kode Kelas</th>
                    <th>Nama Kelas</th>
                    <th>Jumlah Mahasiswa</th>
                    <th>Option</th>
                </tr>

                <tr th:each="dataPlotingKelas, row : ${listPlotingKelas}">
                    <td th:text="${(row.index + 1)}">1.</td>
                    <td th:text="${dataPlotingKelas[1]}">01</td>
                    <td th:text="${dataPlotingKelas[2]}">IA07</td>
                    <td th:text="${dataPlotingKelas[3]}">5</td>
                    <td>
                        <a class="btn btn-primary btn-xs" type="button" data-toggle="modal" data-target="#modal-default"
                           th:attr="data-target='#modal-default'+${dataPlotingKelas[0]}">Pilih Mahasiswa</a>

                        <div class="modal fade" th:id="modal-default+${dataPlotingKelas[0]}">
                            <div class="modal-dialog">
                                <form th:action="@{/setting/ploting_kelas/proses}" method="get">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                <span aria-hidden="true">&times;</span></button>
                                            <h4 class="modal-title">List Mahasiswa</h4>
                                        </div>
                                        <div class="modal-body">
                                            <div class="box-body table-responsive no-padding">
                                                <table class="table table-bordered">
                                                    <tr>
                                                        <th style="width: 10px">No</th>
                                                        <th>Angkatan</th>
                                                        <th>NIM</th>
                                                        <th>Nama</th>
                                                        <th>Nama Kelas</th>
                                                        <th>Option</th>
                                                    </tr>
                                                    <tr th:each="dataMahasiswaPloting,row : ${listMahasiswaPloting}">
                                                        <td th:text="${(row.index + 1)}">1.</td>
                                                        <td th:text="${dataMahasiswaPloting[1]}">2017</td>
                                                        <td th:text="${dataMahasiswaPloting[2]}">3179092</td>
                                                        <td th:text="${dataMahasiswaPloting[3]}">Junior</td>
                                                        <td th:text="${dataMahasiswaPloting[4]}">Andrea PB</td>
                                                        <td>
                                                            <div class="text-center form-group">
                                                                <div class="form-check">
                                                                    <input th:if="${dataMahasiswaPloting[4] == dataPlotingKelas[2]}"
                                                                           type="checkbox"
                                                                           th:value="${dataMahasiswaPloting[0]}"
                                                                           class="flat-red" name="mahasiswas" checked>
                                                                    <input th:if="${dataMahasiswaPloting[4] != dataPlotingKelas[2]}"
                                                                           type="checkbox"
                                                                           th:value="${dataMahasiswaPloting[0]}"
                                                                           class="flat-red" name="mahasiswas">
                                                                </div>
                                                            </div>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </div>
                                        </div>
                                        <div class="modal-footer">
                                            <input type="hidden" th:value="${dataPlotingKelas[0]}" name="kelas">
                                            <input type="hidden" th:value="${selectedAngkatan}" name="angkatan">
                                            <input type="hidden" th:value="${selectedJenisKelamin}" name="jenisKelamin">
                                            <button type="button" class="btn btn-default pull-left"
                                                    data-dismiss="modal">Close
                                            </button>
                                            <button type="submit" class="btn btn-primary">Save changes</button>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>

                    </td>
                </tr>

            </table>
        </div>

        <div class="box-footer clearfix">
            <ul class="pagination pagination-sm no-margin pull-right">
                <li class="disabled"><a href="#" aria-label="Previous"><span
                        aria-hidden="true">&laquo;</span></a>
                </li>
                <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                </li>
            </ul>
        </div>
    </div>
</div>
</body>
</html>